#!/bin/sh

# Check environment
if test ! "$CCP4" ; then
  echo "CCP4 environment variable not set, failed to install"
  exit 1
fi
echo "CCP4 environment variable set to $CCP4"

#============================================================
# Install hierarch_utils.tcl and images into CCP4 directories
#============================================================

echo "Preparing to install hierarch_utils..."

# Check CCP4i utils subdir
if test ! -d "$CCP4/ccp4i/utils" ; then
  echo "No directory $CCP4/ccp4i/utils, failed to install"
  exit 1
fi

# Check CCP4i icons subdir
if test ! -d "$CCP4/ccp4i/icons" ; then
  echo "No directory $CCP4/ccp4i/icons, failed to install"
  exit 1
fi

# Copy files to directories
echo "Copying files..."
cp -f src/hierarch_utils.tcl $CCP4/ccp4i/utils
cp -f icons/hier_collapse.xbm $CCP4/ccp4i/icons
cp -f icons/hier_expand.xbm $CCP4/ccp4i/icons
echo "...done"

#============================================================
# Install MTZViewer into CCP4 directories
#============================================================

echo "Preparing to install mtzviewer..."

# Check CCP4i bin subdir
if test ! -d "$CCP4/ccp4i/bin" ; then
  echo "No directory $CCP4/ccp4i/bin, failed to install"
  exit 1
fi

# Check CCP4i mtzviewer subdir - if not found then make it
if test ! -d "$CCP4/ccp4i/mtzviewer" ; then
  echo "No directory $CCP4/ccp4i/mtzviewer, creating it"
  mkdir $CCP4/ccp4i/mtzviewer
fi

# Copy files to directories
echo "Copying files..."
cp -f mtzviewer/mtzviewer $CCP4/ccp4i/bin
cp -f mtzviewer/mtzviewer.tcl $CCP4/ccp4i/mtzviewer
echo "...done"
exit 0
#
